Genivia - saml1__AssertionType::__saml1__union_AssertionType Struct Reference

|  | Home | Documentation | saml1__AssertionType::__saml1__union_AssertionType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml1__AssertionType::__saml1__union_AssertionType Struct Reference

`#include <saml1.h>`

Collaboration diagram for saml1__AssertionType::__saml1__union_AssertionType:
[legend]

## Public Attributes
struct saml1__StatementAbstractType * | saml1__Statement
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"Statement. More...
struct saml1__SubjectStatementAbstractType * | saml1__SubjectStatement
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"SubjectStatement. More...
struct saml1__AuthenticationStatementType * | saml1__AuthenticationStatement
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"AuthenticationStatement. More...
struct saml1__AuthorizationDecisionStatementType * | saml1__AuthorizationDecisionStatement
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"AuthorizationDecisionStatement. More...
struct saml1__AttributeStatementType * | saml1__AttributeStatement
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"AttributeStatement. More...

## Member Data Documentation

struct saml1__AttributeStatementType* saml1__AssertionType::__saml1__union_AssertionType::saml1__AttributeStatement

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"AttributeStatement.

Choice of element (one of multiple choices).

struct saml1__AuthenticationStatementType* saml1__AssertionType::__saml1__union_AssertionType::saml1__AuthenticationStatement

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"AuthenticationStatement.

Choice of element (one of multiple choices).

struct saml1__AuthorizationDecisionStatementType* saml1__AssertionType::__saml1__union_AssertionType::saml1__AuthorizationDecisionStatement

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"AuthorizationDecisionStatement.

Choice of element (one of multiple choices).

struct saml1__StatementAbstractType* saml1__AssertionType::__saml1__union_AssertionType::saml1__Statement

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"Statement.

Choice of element (one of multiple choices).

struct saml1__SubjectStatementAbstractType* saml1__AssertionType::__saml1__union_AssertionType::saml1__SubjectStatement

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"SubjectStatement.

Choice of element (one of multiple choices).

The documentation for this struct was generated from the following file:

- saml1.h